//
//
//

// Capture Photo and Save it to SPIFFS
void printPhotoSite( void ) {
  File photoFile;
  uint8_t fbBuf[1024];
  
  photoFile = SPIFFS.open(FILE_PHOTO, FILE_READ);
  Serial.print(FILE_PHOTO);Serial.print(" size=");
  Serial.println(photoFile.size());
  //**********
  Serial.println("Connecting to server: " + serverName);

  if (client.connect(serverName.c_str(), serverPort)) {
     Serial.println("Connection successful!");    
     String head = "--RandomNerdTutorials\r\nContent-Disposition: form-data; name=\"imageFile\"; filename=\"esp32-cam.jpg\"\r\nContent-Type: image/jpeg\r\n\r\n";
     String tail = "\r\n--RandomNerdTutorials--\r\n";
     uint32_t imageLen = photoFile.size();
     uint32_t extraLen = head.length() + tail.length();
     uint32_t totalLen = imageLen + extraLen;
 
     client.println("POST " + serverPath + " HTTP/1.1");
     client.println("Host: " + serverName);
     client.println("Content-Length: " + String(totalLen));
     client.println("Content-Type: multipart/form-data; boundary=RandomNerdTutorials");
     client.println();
     client.print(head);
  
     //uint8_t *fbBuf = fb->buf;
     unsigned int imgsize = photoFile.size();
     unsigned int imgsizeoffset = 0;
     for (unsigned int n=0; n<imgsize; n=n+1024) {
       if (n+1024 < imgsize) {
         photoFile.read(fbBuf,1024);
         client.write(fbBuf, 1024);
         Serial.print(imgsizeoffset);Serial.print(" of ");Serial.println(imgsize);
         imgsizeoffset=imgsizeoffset+1024;
       }
       else if (imgsize%1024>0) {
         unsigned int remainder = imgsize%1024;
         photoFile.read(fbBuf,remainder);
         Serial.print("remainder=");Serial.print(remainder);Serial.print(" of ");Serial.println(imgsize);
         client.write(fbBuf, remainder);
       }
    }   
    client.print(tail);
    //////
    photoFile.close();
  }
}
